import { RenderContext } from "./context.js";
import { RenderFunction } from "./types.js";
export declare function loadSSRModule(path: string): Promise<typeof import("./virtual/ssr.js").default>;
/**
 * Renders a page and returns a template which can be used to insert additional
 * markup.
 *
 * @param renderFn The render function
 * @param url The URL of the page to render
 * @param indexHtml The index.html where to insert the markup
 * @param css List of stylesheets to include
 * @param context The context passed to the render function
 * @returns A HTML string or undefined, if nothing was rendered.
 */
export declare function renderHtml(renderFn: RenderFunction, url: string, indexHtml: string, css: string[], context?: RenderContext): Promise<string | undefined>;
