import type { PartialResolvedId } from "rollup";
import { Plugin } from "vite";
export type WrapperInjectionHook = "onLoad" | "onTransform";
/**
 * Plugin to load the wrapper code. Depending on the UI framework, this
 * needs to happen inside the `load` or the `transform` hook.
 */
export declare function injectWrapperPlugin(hook?: WrapperInjectionHook): Plugin;
/**
 * Test if id matches the given pattern and set the meta data accordingly.
 */
export declare function resolveWrapper(id: string, rootDir: string, pattern: string, wrapper: Wrapper): ResolvedWrapperId | undefined;
export interface Wrapper {
    server?: string;
    client?: string;
}
type ResolvedWrapperId = PartialResolvedId & WrapperInfo;
interface WrapperMeta {
    wrapper: Wrapper;
    wrapped: string;
    componentId: string;
}
interface MetaInfo {
    meta: object;
}
interface WrapperInfo extends MetaInfo {
    meta: WrapperMeta;
}
export {};
